#version 330 core

layout(location = 0) in vec3 v3Position;

out VertexData {
	vec3 v3Eye;
} PerVertex;

uniform mat4 m4ModelViewProjection;
uniform mat4 m4ModelView;

void main(void) {
	PerVertex.v3Eye = vec3(m4ModelView * vec4(v3Position, 1));
	gl_Position = m4ModelViewProjection * vec4(v3Position, 1);
}
