#pragma once

#include "targetver.h"

#include <stdio.h>

#define WIN32_LEAN_AND_MEAN
#include <Windows.h>
#include <math.h>

#include <iostream>
#include <fstream>
#include <string>
#include <vector>

#include <GL/glew.h>
#include <GL/glfw.h>

#include <glm/glm.hpp>
#include <glm/ext.hpp>

#include "Application.h"
#include "Registry.h"
#include "Input.h"
#include "ShadingProgram.h"
#include "Camera.h"
#include "Node.h"
#include "RenderableNode.h"
#include "Light.h"
#include "Scene.h"

#include "Sphere.h"
#include "Point.h"
#include "ParticleSpawner.h"
#include "TestScene.h"

using namespace std;
